%define name pootle
%define oname Pootle
%define version 1.1.0
%define release %mkrel 1

Summary: Web-based translation
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/translate/%{oname}-%{version}.tar.bz2
License: GPL
Group: Networking/WWW
Url: http://translate.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python-devel
Requires: python-jtoolkit
Requires: python-kid
Requires: python-translate

%description
Pootle is a web translation and translation management engine.

%prep
%setup -q -n %{oname}-%{version}

%build
./pootlesetup.py build

%install
rm -rf %{buildroot}
./pootlesetup.py install --prefix=%{buildroot}%{_prefix}

move_in() {
  target=$1
  shift
  install -d %{buildroot}$target
  for p in $*; do
    mv %{buildroot}%{py_puresitedir}/%{oname}/$p %{buildroot}$target
    ln -s $target/$p %{buildroot}%{py_puresitedir}/%{oname}
  done
}

move_in %{_var}/www/%{name} html templates
move_in %{_var}/lib/%{name} po
move_in %{_sysconfdir}/%{name} %{name}.prefs users.prefs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{oname}/ChangeLog %{oname}/README
%{_bindir}/%{oname}Server
%{_bindir}/updatetm
%{py_puresitedir}/%{oname}
%{py_puresitedir}/*.egg-info
%{_var}/www/%{name}
%{_var}/lib/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.prefs


%changelog
* Mon Jul 14 2008 Funda Wang <fundawang@mandriva.org> 1.1.0-1mdv2009.0
+ Revision: 234423
- New version 1.1.0

* Thu Jan 17 2008 Olivier Blin <oblin@mandriva.com> 1.0.2-1mdv2008.1
+ Revision: 154281
- 1.0.2
- remove ElementTree patch, fixed upstream
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 0.11-1mdv2008.0
+ Revision: 17489
- 0.11


* Fri Jan 12 2007 Olivier Blin <oblin@mandriva.com> 0.10.1-1mdv2007.0
+ Revision: 108075
- move config files in /etc/pootle
- move data files in webapp locations
- fix elementtree import
- initial pootle package
- Create pootle

